> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alerts



## OpenAPI

````yaml /openapi/product/alerts.yaml get /api/social/v4/alerts
openapi: 3.0.0
info:
  title: Alerts API
  description: >-
    Domo Alerts allow users to subscribe to various events and receive timely
    notifications as changes occur. Find out more about Alerts by reading this
    article. The Alerts API can be used to manage alerts in your Domo instance.
  version: '4.0'
servers:
  - url: https://{instance}.domo.com
    description: Domo instance
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Your Domo instance name
security:
  - BearerAuth: []
paths:
  /api/social/v4/alerts:
    get:
      tags:
        - Alerts
      summary: Get alerts
      operationId: get-alerts
      parameters:
        - name: all
          in: query
          required: false
          schema:
            type: boolean
          description: Whether to fetch all alerts at once
        - name: cardId
          in: query
          required: false
          schema:
            type: integer
          description: A specific card id to fetch alerts for
        - name: currentUserSubscriptions
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Whether to fetch the alerts subscribed to by the current user
        - name: dataSetId
          in: query
          required: false
          schema:
            type: string
          description: A specific dataset id to fetch alerts for
        - name: disabled
          in: query
          required: false
          schema:
            type: boolean
          description: Whether to fetch only disabled alerts
        - name: fields
          in: query
          required: false
          schema:
            type: string
            default: >-
              id, category, type, name, description, resourceType, resourceId,
              createdAt, createdBy, modifiedAt, modifiedBy
          description: >-
            Which alert fields to include in the response (can be set to 'all'
            to fetch all fields)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
          description: The query limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
          description: The query offset (for pagination)
        - name: ownerId
          in: query
          required: false
          schema:
            type: integer
          description: A specific user id to fetch owned alerts for
        - name: pageId
          in: query
          required: false
          schema:
            type: integer
          description: A specific page id to fetch alerts for
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: createdAt
          description: The field to sort by
        - name: subscriberId
          in: query
          required: false
          schema:
            type: integer
          description: A specific user id to fetch subscribed alerts for
        - name: subscriptionTypes
          in: query
          required: false
          schema:
            type: string
          description: A list of subscription types to filter the alerts by
        - name: suggested
          in: query
          required: false
          schema:
            type: boolean
          description: Whether to fetch only alerts that are suggested for you
        - name: triggered
          in: query
          required: false
          schema:
            type: string
          description: Whether to fetch only alerts that have been triggered
      responses:
        '200':
          description: Returns the alerts based on the included query params.
          content:
            application/json:
              schema:
                type: object
              example: >-
                HTTP/1.1 200 OKContent-Type: application/json{  [    {       
                "id": 358,        "name": "Any row has changes for column(s):
                'embedURL, metric, src, filesAPINum, docId, userName,
                title'",        "type": "ANY_ROW",        "resourceType":
                "DATASET",        "resourceId":
                "58b3775b-ab03-4f54-9052-a3c5f7cbf426",        "createdAt":
                "2024-12-12 23:37:32",        "createdBy": 1341393147,       
                "modifiedAt": "2024-12-13 18:55:17",        "modifiedBy":
                1341393147,        "category": "DATA"    }, ...  ]}
      x-codeSamples:
        - lang: JavaScript
          source: >-
            async function getAlerts() {  const url = `/api/social/v4/alerts`; 
            const response = await fetch(url);  return await response.json();}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````